Firewall changes can not be applied in Plesk 11.0.9

Refers to:

  • Plesk 11.0 for Linux
  • Plesk 9.x and below for Linux

Created:

2016-11-16 13:10:19 UTC

Modified:

2017-01-06 20:46:19 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Firewall changes can not be applied in Plesk 11.0.9

Symptoms

  1. On Plesk 11 running in Virtuozzo Containers, Firewall rules can not be updated, following errors can appear:

    Unable to connect

    or

    safeact: safeact: /opt/psa/var/modules/firewall/safeact.confirm: No such file or directory

    After Firewall rules are accessed again, the changes were not applied

  2. Default firewall configuration drops all connections when you try to activate Firewall in Plesk runnig in Virtuozzo Container.

Resolution

Upgrade to Plesk 11.5 or use the appropriate fix for Plesk 11.0: for CentOS 5 and for CentOS 6

You will need to replace the following files (do not to create the backup first):

/usr/local/psa/admin/plib/modules/firewall/ActivateForm.php                     -rw-r--r--  root root
/usr/local/psa/admin/plib/modules/firewall/BackendLinux.php -rw-r--r-- root root
/usr/local/psa/admin/plib/modules/firewall/FwConfigurator.php -rw-r--r-- root root
/usr/local/psa/admin/sbin/modules/firewall/safeact -rwxr-x---. root psaadm

and this file replace in:

/usr/local/psa/admin/plib/modules/firewall/BackendLinux.php

Cause

Issue is caused by a product issue (PPPM-561) that was fixed in Plesk 11.5 version.

Have more questions? Submit a request

4 Comments

  • 0
    Avatar
    Laurent Ricard

     Has any body managed to apply those changes ?

    Once I have uploaded those new files I get the error message : "Authorization refused" when I try to apply the firewall modifications.

  • 0
    Avatar
    Vitaly Zhidkov

    @Laurent, what OS and Plesk versions do you have? Panches are for Plesk 11 on CentOS 5,6 only

  • 0
    Avatar
    Laurent Ricard

    Hi Vitaly,

    I have Centos 6 final (64bits) and Plesk 11.0.9.

  • 0
    Avatar
    Vitaly Zhidkov

    @Laurent, I have just checked the fix in test server with the same configuration and it works fine.

    Plesk 11.x has already reached its end of life, so I suggest you to consider upgrade of your Plesk server.

Please sign in to leave a comment.